<?php

// If we have found SSI.php and we are outside of SMF, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
	
elseif (!defined('SMF')) // If we are outside SMF and can't find SSI.php, then throw an error
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as SMF\'s SSI.php.');
	
	db_extend('packages');

    //Creating tables.
	$tables = array(
		'log_profile_visitors' => array(
			'name' => 'log_profile_visitors',
			//Columns.
			'columns' => array(
			    array(
					'name' => 'id',
					'type' => 'mediumint',
					'size' => '8',
					'null' => 'not null',
					'auto' => true,							
				),
				array(
					'name' => 'id_visitor',
					'type' => 'mediumint',
					'size' => '8',
					'default' => '0',
				),
				array(
					'name' => 'id_visited_member',
					'type' => 'mediumint',
					'size' => '8',
					'default' => '0',
				),
				array(
					'name' => 'time',
					'type' => 'int',
					'size' => '10',
					'default' => '0',
				),
			),
			//End Columns.
			'indexes' => array(
				array(
					'type' => 'primary',
					'columns' => array('id')
				),
			)
		),
		//End Table.
	);

	foreach ($tables as $table)
	{
		$smcFunc['db_create_table']('{db_prefix}' . $table['name'], $table['columns'], $table['indexes'], array(), 'update');
	}		

if (!empty($ssi))
	echo 'Congratulations! You have successfully installed this mod!';