<?php

//Display profile visitors.
function template_display_profile_visitors()
{
	global $context, $scripturl, $settings, $txt;

	//Nothing to show if there are no profile visitors.
	if (!empty($context['profile_visitors']))
	{
	    //Loop through and display profile visitors.
		foreach ($context['profile_visitors'] as $visitor)
		{
				echo '
				<table border="0" width="100%" cellspacing="1" cellpadding="2" align="center">
				<tr>
					<td class="windowbg" style="text-align: center; padding: 5px; width: 50px;">';
                    //Display avatar.
					echo '
						<img src="', !empty($visitor['avatar']['href']) ? $visitor['avatar']['href'] : ''. $settings['images_url'].'/icons/default_avatar.png', '" alt="" style="width: 50px; height: 50px; border-radius: 100%;" />';
                //Display visitors link. Fly the group colors.
				if (!empty($visitor['id_visitor']))
				echo '
					</td>
					<td class="windowbg" style="padding: 5px; width: 100px;">
						<strong><a href="', $scripturl, '?action=profile;u=', $visitor['id_visitor'],'" style="color:'.$visitor['online_color'].'">', $visitor['name'],'</a></strong><br />';
					else
                    //Display guests.					
					echo '
					</td>
					<td class="windowbg" style="padding: 5px; width: 100px;">
						<strong>', $visitor['name'],'</strong><br />';
				//Display updated last visit time.		
				if (!empty($visitor['last_visit']))
				echo' 
				     ', $visitor['last_visit'];
				
				echo '
					</td>
				</tr></table>';
		}
	}
	else
		echo '
				<table border="0" width="100%" cellspacing="1" cellpadding="2" align="center">
				<tr>
					<td colspan="2" style="text-align: center;">
						<br />', $txt['no_visitors'], '<br />
					</td>
				</tr>
				</table>';
}